
TYPO3.Fluid - Bug # 3635

Status: Closed Priority: Must have
Author: Marcel Rosenberger Category:
Created: 2009-06-09 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: Fluid: SelectViewHelper always appends the select-field's name with []
Description

The name for a select-field will always be appended by [] whether the field is multiple or not.

<f:form.select name="mySelectField" options="{0: 'no', 1: 'yes'}" value="0" />

will result to

<select name="mySelectField[]">
    <option value="0" selected="selected">no</option>
    <option value="1">yes</option>
</select>

Note: mySelectField[] instead of mySelectField

The included file is a suggestion to fix the bug.

History
#1 - 2009-06-12 20:16 - Bastian Waidelich
- Status changed from New to Closed

I can't reproduce this..
I use the exact input of your example and get

<select name="mySelectField">
<option value="0" selected="selected">no</option>
<option value="1">yes</option>
</select>

Please re-open ticket if this still occures with the current version (trunk).

#2 - 2009-06-12 20:47 - Marcel Rosenberger

I can confirm that this is now fixed in the current trunk version.
#3 - 2009-10-21 17:54 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Category deleted (432)

Files
ViewHelperArguments.php.patch 674 Bytes 2009-06-09 Marcel Rosenberger
